Help protect the Great Barrier Reef with TensorFlow on Kaggle Join Challenge

tf.compat.v1.disable_v2_behavior

Disables TensorFlow 2.x behaviors.

Migrate to TF2

Using this function indicates that your software is not compatible with eager execution and tf.function in TF2.

To migrate to TF2, rewrite your code to be compatible with eager execution. Please refer to the migration guide for additional resource on the topic.

Description

Used in the notebooks

Used in the tutorials

This function can be called at the beginning of the program (before Tensors, Graphs or other structures have been created, and before devices have been initialized. It switches all global behaviors that are different between TensorFlow 1.x and 2.x to behave as intended for 1.x.

User can call this function to disable 2.x behavior during complex migrations.